Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class TCAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.TCAbstractType

All Implemented Interfaces:
  HDFType

Direct Known Subclasses:
  TableCellDescriptor

    public abstract class TCAbstractType

extends java.lang.Object
implements HDFType

Table Cell Descriptor. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Constructor Summary
`TCAbstractType()`

Method Summary
`BorderCode` | `getBrcBottom()` Get the brcBottom field for the TC record.
`BorderCode` | `getBrcLeft()` Get the brcLeft field for the TC record.
`BorderCode` | `getBrcRight()` Get the brcRight field for the TC record.
`BorderCode` | `getBrcTop()` Get the brcTop field for the TC record.
`short` | `getRgf()` Get the rgf field for the TC record.
`int` | `getSize()` Size of record (exluding 4 byte header)
`short` | `getUnused()` Get the unused field for the TC record.
`byte` | `getVertAlign()`
`boolean` | `isFBackward()`
`boolean` | `isFFirstMerged()`
`boolean` | `isFMerged()`
`boolean` | `isFRotateFont()`
`boolean` | `isFVertical()`
`boolean` | `isFVertMerge()`
`boolean` | `isFVertRestart()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setBrcBottom(BorderCode field_5_brcBottom)` Set the brcBottom field for the TC record.
`void` | `setBrcLeft(BorderCode field_4_brcLeft)` Set the brcLeft field for the TC record.
`void` | `setBrcRight(BorderCode field_6_brcRight)` Set the brcRight field for the TC record.
`void` | `setBrcTop(BorderCode field_3_brcTop)` Set the brcTop field for the TC record.
`void` | `setFBackward(boolean value)` Sets the fBackward field value.
`void` | `setFFirstMerged(boolean value)` Sets the fFirstMerged field value.
`void` | `setFMerged(boolean value)` Sets the fMerged field value.
`void` | `setFRotateFont(boolean value)` Sets the fRotateFont field value.
`void` | `setFVertical(boolean value)` Sets the fVertical field value.
`void` | `setFVertMerge(boolean value)` Sets the fVertMerge field value.
`void` | `setFVertRestart(boolean value)` Sets the fVertRestart field value.
`void` | `setRgf(short field_1_rgf)` Set the rgf field for the TC record.
`void` | `setUnused(short field_2_unused)` Set the unused field for the TC record.
`void` | `setVertAlign(byte value)` Sets the vertAlign field value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCAbstractType

    public TCAbstractType()

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSize

    public int getSize()

  Size of record (exluding 4 byte header)

### getRgf

    public short getRgf()

  Get the rgf field for the TC record.

### setRgf

    public void setRgf(short field_1_rgf)

  Set the rgf field for the TC record.

### getUnused

    public short getUnused()

  Get the unused field for the TC record.

### setUnused

    public void setUnused(short field_2_unused)

  Set the unused field for the TC record.

### getBrcTop

    public BorderCode getBrcTop()

  Get the brcTop field for the TC record.

### setBrcTop

    public void setBrcTop(BorderCode field_3_brcTop)

  Set the brcTop field for the TC record.

### getBrcLeft

    public BorderCode getBrcLeft()

  Get the brcLeft field for the TC record.

### setBrcLeft

    public void setBrcLeft(BorderCode field_4_brcLeft)

  Set the brcLeft field for the TC record.

### getBrcBottom

    public BorderCode getBrcBottom()

  Get the brcBottom field for the TC record.

### setBrcBottom

    public void setBrcBottom(BorderCode field_5_brcBottom)

  Set the brcBottom field for the TC record.

### getBrcRight

    public BorderCode getBrcRight()

  Get the brcRight field for the TC record.

### setBrcRight

    public void setBrcRight(BorderCode field_6_brcRight)

  Set the brcRight field for the TC record.

### setFFirstMerged

    public void setFFirstMerged(boolean value)

  Sets the fFirstMerged field value.

### isFFirstMerged

    public boolean isFFirstMerged()

  Returns:
    the fFirstMerged field value.

### setFMerged

    public void setFMerged(boolean value)

  Sets the fMerged field value.

### isFMerged

    public boolean isFMerged()

  Returns:
    the fMerged field value.

### setFVertical

    public void setFVertical(boolean value)

  Sets the fVertical field value.

### isFVertical

    public boolean isFVertical()

  Returns:
    the fVertical field value.

### setFBackward

    public void setFBackward(boolean value)

  Sets the fBackward field value.

### isFBackward

    public boolean isFBackward()

  Returns:
    the fBackward field value.

### setFRotateFont

    public void setFRotateFont(boolean value)

  Sets the fRotateFont field value.

### isFRotateFont

    public boolean isFRotateFont()

  Returns:
    the fRotateFont field value.

### setFVertMerge

    public void setFVertMerge(boolean value)

  Sets the fVertMerge field value.

### isFVertMerge

    public boolean isFVertMerge()

  Returns:
    the fVertMerge field value.

### setFVertRestart

    public void setFVertRestart(boolean value)

  Sets the fVertRestart field value.

### isFVertRestart

    public boolean isFVertRestart()

  Returns:
    the fVertRestart field value.

### setVertAlign

    public void setVertAlign(byte value)

  Sets the vertAlign field value.

### getVertAlign

    public byte getVertAlign()

  Returns:
    the vertAlign field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD